#rgbValue, #hslaValue {
    float: right;
}

.cj-container {
    overflow: auto;
}

#showPicker {
    float: left;
}

.colorPicker {
    background: var(--Pozadi3);
    border: none;
    -moz-border-radius: clamp(0.5vw, 1vh, 1vh);
    border-radius: clamp(0.5vw, 1vh, 1vh);
    margin: clamp(0.5vw, 1vh, 1.5vw);
    padding: clamp(0.3vw, 0.6vh, 0.9vw);
    display: inline-block;
    /*width: clamp(25vw, 50vh, 85vw);*/
}

.colorPicker .twod {
    float: left;
    margin: clamp(1vw, 2vh, 2vh);
}

/* main dimensions */
.colorPicker .twod, .colorPicker .twod .bg {
    width: clamp(15vw, 30vh, 45vw);
    height: clamp(15vw, 30vh, 45vw);
}
.colorPicker .oned, .colorPicker .oned .bg {
    height: clamp(15vw, 30vh, 45vw);
}
.colorPicker .oned, .colorPicker .oned .bg, .colorPicker .oned .pointer .shape {
    width: clamp(1.5vw, 3vh, 4.5vw);
}

.colorPicker .twod .bg {
    position: absolute;

    /* These seem to cause issues in some browsers, careful!
    border: 1px solid #BBB;
    -moz-border-radius: .3em;
    border-radius: .3em;
    */
}
.colorPicker .twod .pointer {
    position: relative;
    z-index: 2;
    width: clamp(0.9vw, 1.8vh, 1.8vh);
}
.colorPicker .twod .pointer .shape {
    position: absolute;
}
.colorPicker .twod .pointer .shape1 {
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    width: clamp(0.9vw, 1.8vh, 1.8vh);
    height: clamp(0.9vw, 1.8vh, 1.8vh);
    border: clamp(0.1vw, 0.2vh, 0.2vh) solid black;
    -moz-border-radius: 50%;
    border-radius: 50%;
}
.colorPicker .twod .pointer .shape2 {
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    width: clamp(0.7vw, 1.4vh, 1.4vh);
    height: clamp(0.7vw, 1.4vh, 1.4vh);
    border: clamp(0.1vw, 0.2vh, 0.2vh) solid white;
    -moz-border-radius: 50%;
    border-radius: 50%;
}

.colorPicker .oned {
    float: left;
    margin: clamp(0.5vw, 1vh, 1vh);
    margin-top: clamp(1vw, 2vh, 2vh);
    margin-bottom: clamp(1vw, 2vh, 2vh);
}

.colorPicker .oned .bg {
    /*border: clamp(0.1vw, 0.2vh, 0.2vh) solid black;*/
    /*
    -moz-border-radius: .3em;
    border-radius: .3em;
    */
}
.colorPicker .oned .pointer {
    position: relative;
    z-index: 2;
    cursor: pointer;
}
.colorPicker .oned .pointer .shape {
    position: absolute;
    transform: translateY(-50%);
    height: clamp(0.4vw, 0.8vh, 0.8vh);
    border: clamp(0.15vw, 0.3vh, 0.3vh) solid black;
    -moz-border-radius: 5px;
    border-radius: 5px;
}
/* gradients, tweak as needed based on which browsers you want to support */
.colorPicker .oned .bg {
    background: -moz-linear-gradient(top,  #ff0000 0%, #ffff00 17%, #00ff00 33%, #00ffff 50%, #0000ff 66%, #ff00ff 83%, #ff0000 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#ff0000), color-stop(17%,#ffff00), color-stop(33%,#00ff00), color-stop(50%,#00ffff), color-stop(66%,#0000ff), color-stop(83%,#ff00ff), color-stop(100%,#ff0000));
    background: -webkit-linear-gradient(top,  #ff0000 0%,#ffff00 17%,#00ff00 33%,#00ffff 50%,#0000ff 66%,#ff00ff 83%,#ff0000 100%);
    background: -o-linear-gradient(top,  #ff0000 0%,#ffff00 17%,#00ff00 33%,#00ffff 50%,#0000ff 66%,#ff00ff 83%,#ff0000 100%);
    background: linear-gradient(to bottom,  #ff0000 0%,#ffff00 17%,#00ff00 33%,#00ffff 50%,#0000ff 66%,#ff00ff 83%,#ff0000 100%);
}

.colorPicker .twod .bg1 {
    z-index: 0;
    background: -moz-linear-gradient(left,  rgba(255,255,255,1) 0%, rgba(255,255,255,0) 100%);
    background: -webkit-gradient(linear, left top, right top, color-stop(0%,rgba(255,255,255,1)), color-stop(100%,rgba(255,255,255,0)));
    background: -webkit-linear-gradient(left,  rgba(255,255,255,1) 0%,rgba(255,255,255,0) 100%);
    background: -o-linear-gradient(left,  rgba(255,255,255,1) 0%,rgba(255,255,255,0) 100%);
    background: linear-gradient(to right,  rgba(255,255,255,1) 0%,rgba(255,255,255,0) 100%);
}
.colorPicker .twod .bg2 {
    z-index: 1;
    background: -moz-linear-gradient(top,  rgba(0,0,0,0) 0%, rgba(0,0,0,1) 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(0,0,0,0)), color-stop(100%,rgba(0,0,0,1)));
    background: -webkit-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,1) 100%);
    background: -o-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,1) 100%);
    background: linear-gradient(to bottom,  rgba(0,0,0,0) 0%,rgba(0,0,0,1) 100%);
}

#hslPicker .twod .bg1 {
    background: -moz-linear-gradient(left,  #ff0000 0%, #ffff00 17%, #00ff00 33%, #00ffff 50%, #0000ff 66%, #ff00ff 83%, #ff0000 100%);
    background: -webkit-gradient(linear, left top, right top, color-stop(0%,#ff0000), color-stop(17%,#ffff00), color-stop(33%,#00ff00), color-stop(50%,#00ffff), color-stop(66%,#0000ff), color-stop(83%,#ff00ff), color-stop(100%,#ff0000));
    background: -webkit-linear-gradient(left, #ff0000 0%,#ffff00 17%,#00ff00 33%,#00ffff 50%,#0000ff 66%,#ff00ff 83%,#ff0000 100%);
    background: -o-linear-gradient(left, #ff0000 0%,#ffff00 17%,#00ff00 33%,#00ffff 50%,#0000ff 66%,#ff00ff 83%,#ff0000 100%);
    background: linear-gradient(to right, #ff0000 0%,#ffff00 17%,#00ff00 33%,#00ffff 50%,#0000ff 66%,#ff00ff 83%,#ff0000 100%);
}

#hslPicker .twod .bg2 {
    background: -moz-linear-gradient(top,  rgba(0,0,0,0) 0%, rgba(127,127,127,1) 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(0,0,0,0)), color-stop(100%,rgba(127,127,127,1)));
    background: -webkit-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(127,127,127,1) 100%);
    background: -o-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(127,127,127,1) 100%);
    background: linear-gradient(to bottom,  rgba(0,0,0,0) 0%,rgba(127,127,127,1) 100%);
}

#hslPicker .oned .bg {
    z-index: 1;
    background: -moz-linear-gradient(top, rgba(255,255,255,1) 0%, rgba(0,0,0,0) 50%, rgba(0,0,0,1) 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(255,255,255,1)), color-stop(50%,rgba(0,0,0,0)), color-stop(100%,rgba(0,0,0,1)));
    background: -webkit-linear-gradient(top,  rgba(255,255,255,1) 0%,rgba(0,0,0,0),rgba(0,0,0,1) 100%);
    background: -o-linear-gradient(top,  rgba(255,255,255,1) 0%,rgba(0,0,0,0) 50%,rgba(0,0,0,1) 100%);
    background: linear-gradient(to bottom,  rgba(255,255,255,1) 0%,rgba(0,0,0,0) 50%,rgba(0,0,0,1) 100%);
}

#hslPicker .oned.alpha {
    margin: 0;
}

#hslPicker .oned.alpha .bg {
    background: -moz-linear-gradient(top, rgba(255,255,255,1) 0%, rgba(0,0,0,1) 100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(255,255,255,1)), color-stop(100%,rgba(0,0,0,1))); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, rgba(255,255,255,1) 0%,rgba(0,0,0,1) 100%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top, rgba(255,255,255,1) 0%,rgba(0,0,0,1) 100%); /* Opera 11.10+ */
    background: linear-gradient(to bottom, rgba(255,255,255,1) 0%,rgba(0,0,0,1) 100%); /* W3C */
}